<?php
if(count(get_included_files()) ==1) exit("Direct access not permitted.");
if(!$statuslogin) exit;
$mod = basename(__FILE__, '.php');
$page->tbJs($mod);
if(isset($_GET['id'])){
	$id=strip_tags(stripslashes($_GET['id']));
	$page->setJudul("Input Kategori Album");
	$nama="";
	if($id>0){
		$page->setJudul("Edit Katgeori Album");
		$query="SELECT * FROM tb_album_kategori 
			WHERE id=?";
		$rs=$db->loadAssoc($query,array($id));
		if(isset($rs['id'])){
			$nama=$rs['nama'];
		}
	}
	$datahasil=array("id"=>$id);
	$page->addLoad("kategorialbum.edit(".json_encode($datahasil,true).")");
	
	?>
	<div class="box_main_konten">
		<h3>DATA KATEGORI ALBUM</h3>
		<div class="group_form">
			<title>Nama Kategori</title>
			<div class="col10">
				<input id="nama" value="<?php echo $nama;?>" />
			</div>
		</div>
		<div style="clear: both;"></div>
	</div>
	<div class="box_button_bawah">
		<div id="loader_kategorialbum" class="error"></div>
		<span class="btmerah btncancel" onclick="kategorialbum.kembali()">Kembali</span>&nbsp;&nbsp;<span onclick="kategorialbum.simpan()" class="bthijau btnsave">Simpan</span>
	</div>
	<?php
}else{
	$page->addLoad("kategorialbum.load()");
	$page->setJudul("Katgeori Album");
	?>
	<div class="box_button_atas">
		Jumlah baris: <select id="jumlah_hal" class="slkecil" onchange="kategorialbum.loade()">
			<option value="30">30</option>
			<option value="50">50</option>
			<option value="100">100</option>
		</select> &nbsp;
		Hal: <select id="hal_ke" class="slkecil" onchange="kategorialbum.load()"><option value="1">1</option></select>
		&nbsp;<input placeholder="Default: Nama Kategori" onkeypress="kategorialbum.enter(event)" id="cari" class="in_cari" />
		&nbsp;&nbsp;<span id="btcari" class="btnone btncari" onclick="kategorialbum.loade()">Cari</span>
		&nbsp;&nbsp;<span class="btnone btncanggih" onclick="kategorialbum.caricanggih()">Cari Detail</span>
	</div>
	<div id="grid_kategorialbum"></div>
	<div id="loader_datakategorialbum" class="error"></div>
	<div class="box_button_bawah">
		<span onclick="kategorialbum.buat(0)" class="bthijau btninput">Buat Kategori Album Baru</span>
	</div>
	<div id="btedit" style="display:none;">
		<span class="icon_del" onclick="kategorialbum.hapus(#{id})"></span>
		<span class="icon_edit" onclick="kategorialbum.buat(#{id})"></span>
	</div>
	<span id="btstatus" class="#(#{status}==1)?'mini_ok':'mini_dis'#" style="display:none;" onclick="kategorialbum.setstatus(#{id},##{jumlah_tabel},##{baris_tabel},this)"></span>
	<?php
}
?>
